Subject: bug#37021: GuixSD 1.01-i686 install DVD boot failure on Macbook1, 1: failed to resolve partition

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 17 Aug 2019 00:18:54 +0200

On Fri, Aug 16, 2019 at 12:51:28PM -0700, Bengt Richter wrote:
> For your purposes, it might be worth trying asking for interesting
> specifics (see lsblk -h for more), e.g.
> 
> $ lsblk -o mountpoint,name,size,fstype,label,partlabel,partuuid,uuid
> 
> Maybe that partuuid '31393730-3031-3031-3139-343934363833' might show up?
> 

I just checked for my working USB image and the
boot/grub/grub.cfg contains that line

bzImage --root=31393730-3031-3031-3139-343934363833 --system=/gnu/store/2j79kbvsxqq7lmzp3isnran1dpcp2z5j-system --load=/gnu/store/2j79kbvsxqq7lmzp3isnran1dpcp2z5j-system/boot quiet

but I cannot find that partition either.  It seems to be created by
grub-mkrescue from make-iso9660-image, but I am not sure.

@Calvin: The manual contains this line in section _Building the
Installation Image_ (with Mark’s --system=i686-linux added):

guix system disk-image --file-system-type=iso9660 --system=i686-linux \
       gnu/system/install.scm

If you omit --file-system-type=iso9660, a USB image will still work
and I believe no --root=31393730-3031-3031-3139-343934363833 will be
inserted in GRUB.

Regards,
Florian